#version 330 core
layout (location = 0) in vec4 vertex; // <vec2 position, vec2 texCoords>
layout (location = 3) in mat4 instanceMatrix;

out vec2 TexCoords;

//uniform mat4 pm;
//uniform mat4 projection;

void main()
{
    TexCoords = vertex.zw;
    //gl_Position = projection * model * vec4(vertex.xy, 0.0, 1.0);
    //gl_Position = pm * vec4(vertex.xy, 0.0, 1.0);
    //gl_Position = projection * instanceMatrix * vec4(vertex.xy, 0.0, 1.0);
    gl_Position = instanceMatrix * vec4(vertex.xy, 0.0, 1.0);
}
